For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
ContactLearn More
GuidesReferenceSamplesLicenseChangelog
GuidesReferenceSamplesLicenseChangelog
  • SDKs
    • Overview
  • REST
      • GETList objects
      • GETList locally-deleted force-distributed objects
      • GETGet object
      • POSTUpload object
      • DELDelete object
      • HEADGet object metadata
  • gRPC
ContactLearn More
RESTObjects

Upload object

Beta
POST
https://example.developer.anduril.com/api/v1/objects/:objectPath
POST
/api/v1/objects/:objectPath
$curl --data-binary "path/to/file" -X POST https://example.developer.anduril.com/api/v1/objects/objectPath \
> -H "Time-To-Live: 123" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/octet-stream"
1{
2 "content_identifier": {
3 "path": "string",
4 "checksum": "string"
5 },
6 "size_bytes": 1,
7 "last_updated_at": "2024-01-15T09:30:00Z",
8 "expiry_time": "2024-01-15T09:30:00Z"
9}
Uploads an object. The object must be 1 GiB or smaller.
Was this page helpful?
Previous

Delete object

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

objectPathstringRequiredformat: "^[a-zA-Z0-9/_=\-.]*$"
Path of the Object that is to be uploaded.

Headers

Time-To-LivelongOptional
An optional expiry TTL associated with an object. The value represents the number of nanoseconds the object will exist in the local store. If no TTL is supplied, the server applies a default TTL. In most cases, the default TTL is 90 days. However, it might be higher or lower, depending on the retention requirements of your environment.
Distribution-ModeenumOptional

Controls how the object is distributed across the mesh. If set to force, the object will be force distributed to all nodes. Force-distributed objects are subject to a size limit.

Allowed values:

Request

This endpoint expects binary data of type application/octet-stream.

Response headers

Pathstring
Checksumstring
Last-Modifiedstring
Expiresstring

Response

Successful upload
content_identifierobject
size_bytesuint64
last_updated_atdatetime
expiry_timedatetime

Errors

400
Bad Request Error
413
Content Too Large Error
500
Internal Server Error
507
Insufficient Storage Error